#; kivy 1.10.0
#:import Factory kivy.factory.Factory

<MenuScreen>:
	FloatLayout:
		canvas.before:
			Rectangle:
				pos: self.pos
				size: self.size
				source: 'Resources/bg.png'

		StartButton:
			pos: (310, 273)
			allow_stretch: True
			background_color: (0,1,0,1)
			size_hint: (.16,.16)
			text: 'Play'
			source: 'Resources/Buttons/start_button_not_pressed.png'
			on_release:
				root.manager.transition.direction = 'right'
				root.manager.current = 'creationscreen'

		OptionButton:
			pos: (310, 210)
			size_hint: (.16,.16)
			text: 'Goto settings'
			source: 'Resources/Buttons/options_button_not_pressed.png'
			on_release:
				root.manager.transition.direction = 'right'
				root.manager.current = 'settings'

		ExitButton:
			pos: (310, 150)
			background_color: (1,0,0,1)
			size_hint: (.16,.16)
			text: 'Quit'
			source: 'Resources/Buttons/exit_button_not_pressed.png'
			on_release: exit()

<SettingsScreen>:
	FloatLayout:
		canvas.before:
			Rectangle:
				pos: self.pos
				size: self.size
				source: 'Resources/bg.png'

		StartButton:
			pos: (310, 250)
			size_hint: (.16,.16)
			text: 'My settings StartButton'
			source: 'Resources/Buttons/start_button_not_pressed.png'
			on_release:
				root.manager.transition.direction = 'right'
				root.manager.current = 'gameplay'

		BackButton:
			pos: (310, 150)
			size_hint: (.16,.16)
			text: 'Back to menu'
			source: 'Resources/Buttons/back_button_not_pressed.png'
			on_release:
				root.manager.transition.direction = 'left'
				root.manager.current = 'menu'

<CharacterCreationScreen>:
	FloatLayout:
		canvas.before:
			Rectangle:
				pos: self.pos
				size: self.size
				source: 'Resources/bg.png'

		StartButton:
			pos: (355, 0)
			name: name_input
			size_hint: (.16,.16)
			text: 'Start game'
			source: 'Resources/Buttons/start_button_not_pressed.png'
			on_release:
				root.manager.transition.direction = 'right'
				root.manager.current = 'gameplay'

		SaveButton:
			pos: (225, 0)
			text: 'Save'
			source: 'Resources/Buttons/save_button_not_pressed.png'
			on_release: app.save(name_input.text)
			size_hint: (.16,.16)

		TextInput:
			pos: (95, 0)
			id: name_input
			font_size: 20
			multiline: False
			size_hint: (.16,.16)

		BackButton:
			pos: (485, 0)
			size_hint: (.16,.16)
			text: 'Back to menu'
			source: 'Resources/Buttons/back_button_not_pressed.png'
			on_release:
				root.manager.transition.direction = 'left'
				root.manager.current = 'menu'

<GameScreen>:
	game: game
	Character:
		id: game
		pos: self.pos
